API reference OpenAPI 3.1
POST /customers/{id}/risk:recalc

Recalc risk

Bearer API key or staff session operation recalcRisk

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl -X POST "$MONICHEK_API/customers/{id}/risk:recalc" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/customers/{id}/risk:recalc`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/customers/{id}/risk:recalc",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/customers/{id}/risk:recalc');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK risk application/json
{
  "score": 40,
  "band": "high",
  "factors": {
    "screening_hit": 25,
    "kyc_tier2": 5,
    "pep": 0,
    "high_risk_country": 0,
    "new_account": 0
  }
}